
brainvisa-development - Feature #18045

bv_maker: add command publish_pack

13/03/2018 03:02 PM - Souedet, Nicolas

Status: Closed Start date: 13/03/2018

Priority: Normal Due date:  

Assignee:  % Done: 33%

Category: brainvisa-cmake Estimated time: 0:00 hour

Target version: brainvisa-4.7 Spent time: 0:00 hour

Description

Add a command to publish packs to local/distant directories.

A solution would be to add a new 'package_publication' directory type.

The matching PackagePublicationDirectory class could contain following properties:

- package_dir (the package directory to publish)

- publication_commands

Here is an example :

[ package_publication /neurospin/brainvisa/repositories/public/%(version)s/%(os)s ]

  directory_id = prod-public

  tags = [prod, public]

  package_dir = /neurospin/tmp/brainvisa/tests/repositories/public/%(version)s-%(date)s/%(os)s/

packages

  publication_commands = 

'cmake -E copy_directory %(package_dir)s/brainvisa-installer %(package_dir)s/packages %(package_di

r)s/packages_tmp %(package_publication)s' 

  publication_commands += 

'rsync %(package_dir)s/brainvisa-installer %(package_dir)s/packages brainvisa@brainvisa.info:/home

/brainvisa/www/prod/packages/%(version)s/%(os)s'

[ package_publication /neurospin/brainvisa/repositories/i2bm/%(version)s/%(os)s ]

  directory_id = prod-i2bm

  tags = [prod, i2bm]

  package_dir = /neurospin/tmp/brainvisa/tests/repositories/i2bm/%(version)s-%(date)s/%(os)s/

packages

  publication_commands = 

'cmake -E copy_directory %(package_dir)s/brainvisa-installer %(package_dir)s/packages %(package_di

r)s/packages_tmp %(package_publication)s'

  publication_commands += 'bv_maker -d \'%(package_dir)s\'

 install_pack --prefix=/i2bm/brainvisa/%(os)s/brainvisa-%(os)-%(version)-%(date)si2bm'

the default publication_command could be

cmake -E copy_directory %(package_dir)s/brainvisa-installer %(package_dir)s/packages %(package_dir

)s/packages_tmp %(package_publication)s

Subtasks:

Feature # 18043: bv_maker: add --prefix option to install_pack command Closed

Feature # 18042: bv_maker: add a property in configuration file to run actions for tagg... New

Feature # 18046: bv_maker: add --components option to install_pack command New

Associated revisions

Revision 81228 - 03/04/2018 11:27 PM - Souedet, Nicolas

fixes: #18045 - bv_maker: add command publish_pack

Revision 81228 - 03/04/2018 11:27 PM - Souedet, Nicolas

fixes: #18045 - bv_maker: add command publish_pack
History

#1 - 13/03/2018 03:03 PM - Souedet, Nicolas

- Category set to brainvisa-cmake

- Target version set to brainvisa-4.7

#2 - 03/04/2018 11:27 PM - Souedet, Nicolas

- Status changed from New to Closed

- % Done changed from 33 to 100

Appliqué par commit r81228.
